org.eclipse.viatra.addon.validation.core.violationkey

## Class CompositeSymmetricViolationKey

- java.lang.Object
- - org.eclipse.viatra.addon.validation.core.violationkey.CompositeSymmetricViolationKey

- All Implemented Interfaces:
    ViolationKey

      public class CompositeSymmetricViolationKey
      extends java.lang.Object
      implements ViolationKey

  A composite and symmetric violation key serves as an object to uniquely identify a set of String - Object pairs with the possibility of symmetric equivalence relationships between pairs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeSymmetricViolationKey(java.util.Map<java.lang.String,java.lang.Object> keyObjects, java.util.Set<java.util.List<java.lang.String>> symmetricKeyObjectNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getKeyObjects()`
    `java.util.Set<java.util.List<java.lang.String>>` | `getSymmetricKeyObjectNames()`
    `int` | `hashCode()`
    `void` | `setKeyObjects(java.util.Map<java.lang.String,java.lang.Object> keyObjects)`
    `void` | `setSymmetricKeyObjectNames(java.util.Set<java.util.List<java.lang.String>> symmetricKeyObjectNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeSymmetricViolationKey

          public CompositeSymmetricViolationKey(java.util.Map<java.lang.String,java.lang.Object> keyObjects,
                                                java.util.Set<java.util.List<java.lang.String>> symmetricKeyObjectNames)

  - ### Method Detail

    - #### getKeyObjects

          public java.util.Map<java.lang.String,java.lang.Object> getKeyObjects()

    - #### setKeyObjects

          public void setKeyObjects(java.util.Map<java.lang.String,java.lang.Object> keyObjects)

    - #### getSymmetricKeyObjectNames

          public java.util.Set<java.util.List<java.lang.String>> getSymmetricKeyObjectNames()

    - #### setSymmetricKeyObjectNames

          public void setSymmetricKeyObjectNames(java.util.Set<java.util.List<java.lang.String>> symmetricKeyObjectNames)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`